# For Haskell Packaging Guidelines see:
# - https://fedoraproject.org/wiki/Packaging:Haskell
# - https://fedoraproject.org/wiki/PackagingDrafts/Haskell

%global pkg_name Agda-executable

Name:           Agda
Version:        2.2.10
Release:        1%{?dist}
Summary:        Dependently typed programming language command-line

Group:          Development/Languages
License:        MIT
URL:            http://hackage.haskell.org/package/%{pkg_name}
Source0:        http://hackage.haskell.org/packages/archive/%{pkg_name}/%{version}/%{pkg_name}-%{version}.tar.gz
# fedora ghc archs: no ghci on ppc64
ExclusiveArch:  %{ix86} x86_64 ppc alpha sparcv9
BuildRequires:  ghc-Cabal-devel
# macros for building haskell packages
BuildRequires:  ghc-rpm-macros
BuildRequires:  ghc-Agda-devel

%description
This package provides a command-line program for type-checking and
compiling Agda programs. The program can also generate hyperlinked,
highlighted HTML files from Agda sources.


%prep
%setup -q -n %{pkg_name}-%{version}


%build
%ghc_bin_build


%install
%ghc_bin_install


%files
%defattr(-,root,root,-)
%doc LICENSE
%attr(755,root,root) %{_bindir}/agda


%changelog
* Fri Jun  3 2011 Jens Petersen <petersen@redhat.com> - 2.2.10-1
- MIT license
- BR ghc-Agda-devel

* Fri Jun  3 2011 Fedora Haskell SIG <haskell-devel@lists.fedoraproject.org> - 2.2.10-0
- initial packaging for Fedora automatically generated by cabal2spec-0.23
